/* Two-step checkout form */

body {
    --checkout-radius: 24px;
    --checkout-padding: 16px;
}

@media (min-width: 768px) {
    .wp-block-woocommerce-checkout-order-summary-block {
        margin-top: 38px !important;
    }
}

.woocommerce-multistep-checkout {
    .wc-block-components-express-payment__content,
    input,
    select,
    button,
    .wc-stc-checkout-dhl svg,
    .wc-gzdp-multilevel-checkout-step-summary::after,
    .wc-block-store-notice,
    .wc-block-components-radio-control__option,
    .wc-block-components-radio-control-accordion-option,
    .wc-block-components-radio-control--highlight-checked.wc-block-components-radio-control--highlight-checked--first-selected:after,
    .wc-block-components-address-card {
        border-radius: calc(var(--checkout-radius) - var(--checkout-padding)) !important;
    }


    /*input, label,*/
    /*select {*/
    /*    padding-left: var(--checkout-padding) !important;*/
    /*}*/

    article {
        .wc-block-components-express-payment__title {
            font-size: 2em;
        }

        background-color: transparent !important;

        .wc-block-components-order-summary {
            background-color: transparent !important;
        }

        .wp-block-woocommerce-checkout-order-summary-block {
            .wc-block-components-checkout-order-summary__title {
                margin-top: 0 !important;
            }
        }

        .wc-block-checkout__form,
        .wp-block-woocommerce-checkout-order-summary-block {
            background-color: white !important;
            border-radius: var(--checkout-radius) !important;
            padding: var(--checkout-radius)
            var(--checkout-padding)
            var(--checkout-padding)
            var(--checkout-padding)
            !important;
            border: 1px solid hsla(0,0%,7%,.11) !important;
        }
    }

    /* Fix express checkout */
    .wc-block-components-express-payment__title-container::before,
    .wc-block-components-express-payment__title-container::after {
        opacity: 0;
    }

    .wc-block-components-express-payment__title-container h2 {
        background-color: white;
        padding: 0 var(--checkout-padding);
    }

    .wc-block-components-express-payment__content {
        border: 1px solid hsla(0,0%,7%,.11) !important;
    }
}

/*.ast-two-step-wrap {*/
/*    border-radius: 15px !important;*/
/*    overflow: hidden !important;*/
/*    padding-bottom: 0 !important;*/
/*}*/

/*.ast-two-step-wrap > div {*/
/*    border: none !important;*/
/*}*/

/*.ast-two-step-wrap .steps .step-name {*/
/*    color: var(--ast-global-color-0);*/
/*}*/

/*.ast-two-step-wrap .steps .step-sub-name {*/
/*    color: var(--ast-global-color-8);*/
/*}*/

/*.ast-two-step-wrap .steps:not(.ast-current) {*/
/*    background-color: #f2f2f2;*/
/*    border-left: #d9d9d9 thin solid;*/
/*    border-right: #d9d9d9 thin solid;*/
/*    border-bottom: #d9d9d9 thin solid;*/
/*}*/

/*.ast-two-step-wrap .steps:not(.ast-current):first-child {*/
/*    border-left: none;*/
/*}*/

/*.ast-two-step-wrap .steps:not(.ast-current):last-child {*/
/*    border-right: none;*/
/*}*/

/*.ast-two-step-wrap .steps:not(.ast-current) * {*/
/*    color: #b3a1a6;*/
/*}*/

/*.ast-two-step-wrap input, .ast-two-step-wrap .selection > span {*/
/*    border-radius: 15px !important;*/
/*    padding-left: 15px !important;*/
/*    background-color: #faf5f6 !important;*/
/*    border-color: #bfbfbf !important;*/
/*}*/

/*.ast-two-step-wrap .button.ast-next-button {*/
/*    border-radius: 15px !important;*/
/*}*/

/*.ast-two-step-wrap h3 {*/
/*    font-size: inherit; !important;*/
/*    margin-top: 1em;*/
/*    margin-bottom: 0.7em;*/
/*}*/

/*.ast-two-step-wrap .form-row.place-order {*/
/*    text-align: right;*/
/*}*/

/*.ast-two-step-wrap .wc_payment_methods * {*/
/*    font-size: 12pt !important;*/
/*    border: none !important;*/
/*    border-radius: 15px !important;*/
/*}*/

/*.ast-two-step-wrap .wc_payment_methods li div {*/
/*    border-radius: 15px !important;*/
/*    box-shadow: #e6e6e6 0 0 3px, #e6e6e6 0 8px 15px !important;*/
/*}*/

/*.ast-two-step-wrap .shop_table {*/
/*    border: none !important;*/
/*    border-radius: 15px !important;*/
/*    background-color: #f7f6f7 !important;*/
/*    box-shadow: #e6e6e6 0 0 3px, #e6e6e6 0 8px 15px !important;*/
/*    font-size: 12pt !important;*/
/*}*/

/*.ast-two-step-wrap .dhl-preferred-service-content {*/
/*    font-size: 12pt !important;*/
/*    margin-bottom: 50px !important;*/
/*}*/
